# How to install RaspNinja on Jetson

Download image for your device from:\
<https://developer.nvidia.com/embedded/downloads>

![](/files/-MkhT5CNrB_Yg0wRw_YR)

Write the image to a high-quality micro SD card, as low-quality SD cards will be slow and have a very short lifespan.

![](/files/-MkhT8FyIEbVl47_g_I_)

Boot the Jetson with the SD card install. You will need a display and keyboard, ideally also a mouse, to complete the initial setup.\
\
Connect the Jetson to the internet; Ethernet is ideal, but WiFi will work if your Jetson has a WiFi adapter.\
\
Open the Terminal app or SSH into the Jetson to continue the installation.

![](/files/-Mkhzjlu9mt7tjNaYYiy)

Download Raspberry Ninja and run the installer. This will update your Jetson installation to Ubuntu 20 and install the required components. It may take some time and may require some prodding if it fails.

```
git clone https://github.com/steveseguin/raspberry_ninja
cd raspberry_ninja
cd nvidia_jetson
chmod +x advanced_installer.sh
./advanced_installer.sh
```

![](/files/-Mki2l-nZScfM760WFqK)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vdo.ninja/guides/installing-raspninja-on-jetson.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
